import StorageBase from "./StorageBase.js";
export default class GroupStorage extends StorageBase {
    get collapsed() {
        return this.state.get("collapsed", []);
    }
    set collapsed(value) {
        this.state.set("collapsed", value);
    }
    get filter() {
        return this.state.get("filter");
    }
    set filter(value) {
        this.state.set("filter", value);
    }
    get focusedInputId() {
        return this.state.get("focusedInputId");
    }
    set focusedInputId(value) {
        this.state.set("focusedInputId", value);
    }
    get footerHeight() {
        return this.state.get("footerHeight");
    }
    set footerHeight(value) {
        this.state.set("footerHeight", value);
    }
    get id() {
        return this.state.get("id");
    }
    set id(value) {
        this.state.get("id", value);
    }
    get labelWidth() {
        return this.state.get("labelWidth");
    }
    set labelWidth(value) {
        this.state.set("labelWidth", value);
    }
    get scroll() {
        return this.state.get("scroll", 0);
    }
    set scroll(value) {
        this.state.set("scroll", value);
    }
}
